%global momorel 1
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global subversionver 1.4.2
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary: A KDE Subversion Client
Name: kdesvn
Version: 0.14.1
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://www.alwins-world.de/wiki/programs/kdesvn
Group: Applications/Internet
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-0.9.3-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: %{name}-svnqt = %{version}-%{release}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: apr-devel >= 1.2.7-2m
BuildPreReq: apr-util-devel >= 1.2.7-3m
BuildPreReq: neon-devel
BuildPreReq: subversion-devel >= %{subversionver}
BuildPreReq: expat-devel >= 2.0.0-2m
BuildPreReq: cmake

%description
KDESvn is a frontend to the subversion vcs.
n difference to most other tools it uses the subversion C-Api direct via a c++ wrapper 
made by Rapid SVN and doesn't parse the output of the subversion client. So it is a 
real client itself instead of a frontend to the command line tool.

%package kiosvn
Summary: A kde-kio integration for subversion based on kdesvn
Group: Development/Tools
Requires: %{name} = %{version}-%{release}

%description kiosvn
KIO integration (KIO::svn) based on kdesvn alternative protocol name.

%package svnqt
Summary: Wrapper lib for subversion QT integration.
Group: System Environment/Libraries
Requires: subversion >= %{subversionver}

%description svnqt
Shared lib which contains a QT C++ wrapper for subversion. It is core part
of kdesvn but is designed to not require KDE so plain QT programs may use
it.

%package svnqt-devel
Summary: Wrapper lib for subversion QT integration.
Group: Development/Libraries
Requires: %{name}-svnqt = %{version}-%{release}
Requires: subversion-devel >= %{subversionver}

%description svnqt-devel
Development files for kdesvn-svnqt

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%ifarch x86_64
%define lib_suffix "-DLIB_SUFFIX=64"
%else
%define lib_suffix %{nil}
%endif

cmake . \
	%{lib_suffix} \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DAPR_CONFIG:FILEPATH=%{_bindir}/apr-1-config \
	-DAPU_CONFIG:FILEPATH=%{_bindir}/apu-1-config \
	-DQT_QT_LIBRARY:FILEPATH=%{qtdir}/lib/libqt-mt.so \
	-DHAVE_GCC_VISIBILITY:INTERNAL=FALSE

make %{?_smp_mflags} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# kdesdk-3.5.6/kioslave/svn can not work with subversion-1.4.2
# # conflicts with kdesdk-3.5.4
# rm -f %{buildroot}%{_datadir}/services/svn*.protocol

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post svnqt
/sbin/ldconfig

%postun svnqt
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog GPL.txt INSTALL-cmake NEWS README TODO
%{_bindir}/kdesvn
%{_bindir}/kdesvnaskpass
%{_libdir}/kde3/kded_kdesvnd.la
%{_libdir}/kde3/kded_kdesvnd.so
%{_libdir}/kde3/kio_ksvn.la
%{_libdir}/kde3/kio_ksvn.so
%{_libdir}/kde3/libkdesvnpart.la
%{_libdir}/kde3/libkdesvnpart.so
%{_datadir}/applications/kde/kdesvn.desktop
%{_datadir}/apps/kconf_update/*
%{_datadir}/apps/kdesvn
%{_datadir}/apps/kdesvnpart
%{_datadir}/apps/konqueror/servicemenus/kdesvn_subversion.desktop
%{_datadir}/config.kcfg/kdesvn_part.kcfg
%{_datadir}/doc/HTML/en/kdesvn
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svgz
%{_datadir}/locale/*/LC_MESSAGES/kdesvn.mo
%{_mandir}/man1/kdesvn.1*
%{_mandir}/man1/kdesvnaskpass.1*
%{_datadir}/services/kded/kdesvnd.desktop
%{_datadir}/services/ksvn*.protocol

%files kiosvn
%defattr(-, root, root)
%{_datadir}/services/svn*.protocol

%files svnqt
%defattr(-, root, root)
%{_libdir}/libsvnqt.so.*

%files svnqt-devel
%defattr(-, root, root)
%{_includedir}/svnqt
%{_libdir}/libsvnqt.so

%changelog
* Mon Nov 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14.1-1m)
- update to 0.14.1

- * Sat Oct 20 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- - (0.14.0-2m)
- - rebuild against db4-4.6.21

* Wed Oct 17 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.14.0-1m)
- update to 0.14.0
- add source tar ball to repo.

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.13.0-1m)
- update to 0.13.0

* Sat Jul 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.1-2m)
- move libsvnqt.la to svnqt package from svnqt-devel package

* Thu Jun 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.1-1m)
- update to 0.12.1

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.12.0-1m)
- update to 0.12.0

* Wed Mar 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.2-1m)
- update to 0.11.2

* Mon Feb 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.0-1m)
- version 0.11.0
- revive a package kdesvn-kiosvn
- modify spec file to use cmake

* Wed Feb 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.3-5m)
- rebuild against kdelibs etc.

* Sun Nov 19 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.9.3-4m)
- rebuild against db4-4.5.20-1m

* Sat Nov  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.3-3m)
- rebuild against apr-1.2.7-2m

* Tue Oct 31 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.3-2m)
- rebuild against expat-2.0.0-2m

* Mon Sep 18 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9.3-1m)
- update to 0.9.3
- add "make -f admin/Makefile.common cvs" before configure
- delete po.patch (patch1)

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-2m)
- rebuild against arts-1.5.4-2m kdelibs-3.5.4-3m

* Wed Aug 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.1-2m)
- add --with-apr-config and --with-apu-config to configure
- remove kdesvn-kiosvn, it's conflicting with kdesdk-3.5.4

* Wed Aug 30 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9.1-1m)
- initial build for Momonga Linux 3
